#!/bin/sh

VCSHOME="${VCS_HOME:-/opt/VRTSvcs}"
ro=`${VCSHOME}/bin/haclus -value ReadOnly`
if [ $ro -eq 1 ];
then
	${VCSHOME}/bin/haconf -makerw
fi
${VCSHOME}/bin/hatype -add Db2HADR
${VCSHOME}/bin/hatype -modify Db2HADR SourceFile "./Db2HADRTypes.cf"
${VCSHOME}/bin/hatype -modify Db2HADR SupportedActions HADRStatus HADRConfig PreSwitch
${VCSHOME}/bin/hatype -modify Db2HADR ArgList Db2dbRes DBName HADROper Encoding
${VCSHOME}/bin/hatype -modify Db2HADR OnlineTimeout 600
${VCSHOME}/bin/haattr -add -static Db2HADR ContainerType -string Zone
${VCSHOME}/bin/haattr -add Db2HADR Db2dbRes -string
${VCSHOME}/bin/haattr -add Db2HADR DBName -string
${VCSHOME}/bin/haattr -add Db2HADR HADROper -string
${VCSHOME}/bin/haattr -add Db2HADR Encoding -string
${VCSHOME}/bin/haattr -add Db2HADR ContainerName -string
${VCSHOME}/bin/haattr -add -temp Db2HADR UseForce -boolean 0

if [ $ro -eq 1 ];
then
	${VCSHOME}/bin/haconf -dump -makero
else
	${VCSHOME}/bin/haconf -dump
fi

